//
//  AriaViewController1.m
//  SJVideoPlayer_Example
//
//  Created by 神崎H亚里亚 on 2019/11/22.
//  Copyright © 2019 changsanjiang. All rights reserved.
//

#import "SJAriaViewController1.h"
#import <SJVideoPlayer/SJVideoPlayer.h>
#import <Masonry/Masonry.h>
#import <SJUIKit/SJUIKit.h>
#import "SJSourceURLs.h"
#import "SJCustomControlLayerViewController.h"
#import "SJVideoPlayer_Example_Model-Swift.h"

@interface SJAriaViewController1 ()
@property (nonatomic, strong) SJVideoPlayer *player;
@end

@implementation SJAriaViewController1

- (void)viewDidLoad {
    [super viewDidLoad];
    [self _setupViews];
}

- (void)_setupViews {
    self.view.backgroundColor = [UIColor whiteColor];
    
    _player = [SJVideoPlayer player];
    
    SJVideoPlayerURLAsset *asset = [SJVideoPlayerURLAsset.alloc initWithURL:SourceURL0];
    asset.title = @"仿B站控制层";
    _player.URLAsset = asset;
    [self.view addSubview:_player.view];
    [_player.view mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.left.right.mas_equalTo(self.view);
        make.height.mas_equalTo(300);
    }];
    
    [_player.switcher addControlLayerForIdentifier:LONG_MAX - 1 lazyLoading:^id<SJControlLayer> _Nonnull(SJControlLayerIdentifier identifier) {
        AriaVideoControlLayer *controlLayer = [[AriaVideoControlLayer alloc] init];
        return controlLayer;
    }];
}

@end

#pragma mark -
#import <SJRouter/SJRouter.h>
@interface SJAriaViewController1 (RouteHandler)<SJRouteHandler>

@end

@implementation SJAriaViewController1 (RouteHandler)

+ (NSString *)routePath {
    return @"demo/CustomControlLayer/vc13";
}

+ (void)handleRequest:(SJRouteRequest *)request topViewController:(UIViewController *)topViewController completionHandler:(SJCompletionHandler)completionHandler {
    [topViewController.navigationController pushViewController:SJAriaViewController1.new animated:YES];
}

@end
